curl --request GET \
--url https://api.blaxel.ai/v0/sandboxes \
--header 'Authorization: Bearer <token>'[
{
"events": [
{
"canaryRevision": "<string>",
"message": "<string>",
"revision": "<string>",
"status": "<string>",
"time": "<string>",
"type": "<string>"
}
],
"lastUsedAt": "<string>",
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "<string>",
"labels": {},
"name": "<string>",
"plan": "<unknown>",
"url": "<string>",
"workspace": "<string>"
},
"spec": {
"configurations": {
"key": {
"secret": true,
"value": "<string>"
}
},
"enabled": true,
"flavors": [
{
"name": "<string>",
"type": "<string>"
}
],
"integrationConnections": [
"<string>"
],
"policies": [
"<string>"
],
"revision": {
"active": "<string>",
"canary": "<string>",
"canaryPercent": 123,
"stickySessionTtl": 123,
"traffic": 123
},
"runtime": {
"args": [
"<unknown>"
],
"command": [
"<unknown>"
],
"configuration": {},
"cpu": 123,
"endpointName": "<string>",
"envs": [
"<unknown>"
],
"expires": "<string>",
"generation": "<string>",
"image": "<string>",
"maxConcurrentTasks": 123,
"maxRetries": 123,
"maxScale": 123,
"memory": 123,
"metricPort": 123,
"minScale": 123,
"model": "<string>",
"organization": "<string>",
"ports": [
{
"name": "<string>",
"protocol": "<string>",
"target": 123
}
],
"startupProbe": {},
"timeout": 123,
"transport": "<string>",
"ttl": "<string>",
"type": "<string>"
},
"sandbox": true,
"lifecycle": {
"expirationPolicies": [
{
"action": "<string>",
"type": "<string>",
"value": "<string>"
}
]
},
"region": "<string>",
"volumes": [
{
"mountPath": "<string>",
"name": "<string>",
"readOnly": true
}
]
},
"status": "<string>",
"ttl": 123
}
]Returns a list of all Sandboxes in the workspace.
curl --request GET \
--url https://api.blaxel.ai/v0/sandboxes \
--header 'Authorization: Bearer <token>'[
{
"events": [
{
"canaryRevision": "<string>",
"message": "<string>",
"revision": "<string>",
"status": "<string>",
"time": "<string>",
"type": "<string>"
}
],
"lastUsedAt": "<string>",
"metadata": {
"createdAt": "<string>",
"updatedAt": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"displayName": "<string>",
"labels": {},
"name": "<string>",
"plan": "<unknown>",
"url": "<string>",
"workspace": "<string>"
},
"spec": {
"configurations": {
"key": {
"secret": true,
"value": "<string>"
}
},
"enabled": true,
"flavors": [
{
"name": "<string>",
"type": "<string>"
}
],
"integrationConnections": [
"<string>"
],
"policies": [
"<string>"
],
"revision": {
"active": "<string>",
"canary": "<string>",
"canaryPercent": 123,
"stickySessionTtl": 123,
"traffic": 123
},
"runtime": {
"args": [
"<unknown>"
],
"command": [
"<unknown>"
],
"configuration": {},
"cpu": 123,
"endpointName": "<string>",
"envs": [
"<unknown>"
],
"expires": "<string>",
"generation": "<string>",
"image": "<string>",
"maxConcurrentTasks": 123,
"maxRetries": 123,
"maxScale": 123,
"memory": 123,
"metricPort": 123,
"minScale": 123,
"model": "<string>",
"organization": "<string>",
"ports": [
{
"name": "<string>",
"protocol": "<string>",
"target": 123
}
],
"startupProbe": {},
"timeout": 123,
"transport": "<string>",
"ttl": "<string>",
"type": "<string>"
},
"sandbox": true,
"lifecycle": {
"expirationPolicies": [
{
"action": "<string>",
"type": "<string>",
"value": "<string>"
}
]
},
"region": "<string>",
"volumes": [
{
"mountPath": "<string>",
"name": "<string>",
"readOnly": true
}
]
},
"status": "<string>",
"ttl": 123
}
]Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
successful operation
Core events
Show child attributes
Last time the sandbox was used (read-only, managed by the system)
Metadata Time fields for Persistance Owner fields for Persistance
Show child attributes
Sandbox specification Core specification
Show child attributes
Sandbox status
TTL timestamp for automatic deletion (optional, nil means no auto-deletion)
Was this page helpful?